ConnectionPoolTimeoutException (HttpClient Library (Version 3.1))
Date: 2019-01-01

org.apache.commons.httpclient

## Class ConnectionPoolTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.io.InterruptedIOException
        - - org.apache.commons.httpclient.ConnectTimeoutException
          - - org.apache.commons.httpclient.ConnectionPoolTimeoutException

- All Implemented Interfaces:
    java.io.Serializable

      public class ConnectionPoolTimeoutException
      extends ConnectTimeoutException

  A timeout while connecting waiting for an available connection from an HttpConnectionManager.
  Since:
    3.0
  Author:
    Laura Werner
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.io.InterruptedIOException

      `bytesTransferred`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionPoolTimeoutException()` Creates a ConnectTimeoutException with a `null` detail message.
    `ConnectionPoolTimeoutException(java.lang.String message)` Creates a ConnectTimeoutException with the specified detail message.
    `ConnectionPoolTimeoutException(java.lang.String message, java.lang.Throwable cause)` Creates a new ConnectTimeoutException with the specified detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionPoolTimeoutException

          public ConnectionPoolTimeoutException()

      Creates a ConnectTimeoutException with a `null` detail message.

    - #### ConnectionPoolTimeoutException

          public ConnectionPoolTimeoutException(java.lang.String message)

      Creates a ConnectTimeoutException with the specified detail message.
      Parameters:
        `message` - The exception detail message

    - #### ConnectionPoolTimeoutException

          public ConnectionPoolTimeoutException(java.lang.String message,
                                                java.lang.Throwable cause)

      Creates a new ConnectTimeoutException with the specified detail message and cause.
      Parameters:
        `message` - the exception detail message
        `cause` - the `Throwable` that caused this exception, or `null` if the cause is unavailable, unknown, or not a `Throwable`

Copyright (c) 1999-2005 - Apache Software Foundation